* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
}

body {
    width: 100%;
    overflow-x: hidden;
}

/* Arka plan blur foto */
.bg {
  position: fixed;
  inset: 0;
  filter: blur(20px);
  transform: scale(1.1);
  z-index: -2;
}

.logo{
    width: 100%;
    height: 150px;
    float: left;
    position: relative;
    object-fit: contain;
}

/* Menü alanı */
.menu {
    padding: 20px;
    width: 100%;
    float: left;
    position: relative;
}


.menu_ara_title{
    width: 100%;
    float: left;
    position: relative;
    margin-top:40px;
    text-align: center;
    font-size: 30px;
    font-weight: 900;
    letter-spacing: 1px;
    color: #fff;
}

/* 2 sütun grid */
.grid {
    width: 100%;
    float: left;
    position: relative;
    gap: 60px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.grid section{
    width: 100%;
    float: left;
    position: relative;
    gap: 60px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

/* Cam efektli kart */
.card {
    width: 150px;
    text-align: center;
    transition: all 200ms;
    cursor: pointer;
}

.card:hover{
    transform: scale(1.15);
}

/* Üst yemek görseli */
.food-img {
  width: 150px;
  height: 150px;
  object-fit: contain;
  margin-bottom: 10px;
}

/* Yazılar */
.info h3 {
  font-size: 16px;
  color: #fff;
  margin-bottom: 6px;
}

.meta {
  display: flex;
  justify-content: space-between;
  font-size: 14px;
  color: #eaeaea;
  letter-spacing: 0.5px;
}






.yemek_detay_pop{
    width: calc(100% - 30px);
    height: calc(100vh - 30px);
    margin: 15px;
    position: fixed;
    border-radius: 30px;
    background: rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(25px);
    -webkit-backdrop-filter: blur(25px);
    border: 1px solid rgba(0, 0, 0, 0.2525);
    box-shadow: 0 8px 25px rgba(0,0,0,0.2);
    z-index: 999;
    padding: 30px;
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    align-items: center;
}

.yemek_detay_pop .kapat{
    width: 40px;
    height: 40px;
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 100;
    background-color: rgba(255,255,255,0.2);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: all 200ms;
}

.yemek_detay_pop .kapat:hover{
    transform: scale(1.1);
}

.yemek_detay_pop .kapat:before, .yemek_detay_pop .kapat:after{
    content: '';
    width: 4px;
    height: 24px;
    background-color: #fff;
    position: absolute;
    border-radius: 2px;
}

.yemek_detay_pop .kapat:before{
    transform: rotate(45deg);
}

.yemek_detay_pop .kapat:after{
    transform: rotate(-45deg);
}

.yemek_detay_pop .detay_img{
    width: 350px;
    float: left;
    position: relative;
}

.yemek_detay_pop .detay_img img{
    width: 100%;
    float: left;
    position: relative;
}

.yemek_detay_pop .yd_content{
    width: calc(100% - 400px);
    float: left;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    row-gap: 10px;
    justify-content: space-between;
    padding: 20px;
    box-sizing: border-box;
    margin-left: 50px;
}

.yemek_detay_pop h1{
    width: calc(100% - 40px);
    line-height: 1.4;
    float: left;
    position: relative;
    font-size: 22px;
    letter-spacing: 1px;
    color: #fff;
}

.yemek_detay_pop .zaman{
    width: 40px;
    line-height: 1;
    float: right;
    position: relative;
    font-size: 14px;
    letter-spacing: 0.5px;
    color: #fff;
    text-align: center;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-end;
    gap: 3px;
}

.yemek_detay_pop .zaman span{
    font-size: 11px;
}

.yemek_detay_pop p{
    width: 100%;
    line-height: 1.4;
    float: left;
    position: relative;
    font-size: 14px;
    letter-spacing: 0.5px;
    color: #fff;
}

.yemek_detay_pop .fiyat{
    width: 50%;
    line-height: 1.4;
    float: left;
    position: relative;
    font-size: 17px;
    letter-spacing: 0.5px;
    font-weight: 600;
    color: #fff;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.yemek_detay_pop .kalori{
    width: 50%;
    line-height: 1.4;
    float: left;
    position: relative;
    font-size: 14px;
    letter-spacing: 0.5px;
    color: #fff;
    text-align: right;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-end;
}

.yemek_detay_pop .detay_title{
    width: 100%;
    line-height: 1.4;
    float: left;
    position: relative;
    color: #fff;
    font-size: 14px;
    margin-top: 10px;
    font-weight: 600;
    letter-spacing: 1px;
}

.yemek_detay_pop .dty_alerjen_list{
    width: 100%;
    float: left;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.yemek_detay_pop .dty_alerjen_list .dty_alerjen{
    line-height: 1.4;
    float: left;
    position: relative;
    font-size: 14px;
    text-transform: capitalize;
    color: #fff;
    letter-spacing: 0.5px;
}

.yemek_detay_pop .dty_alerjen_list span{
    width: 20px;
    height: 20px;
    float: left;
    position: relative;
    font-size: 14px;
    margin-right: 2px;
}



/* Mobil uyum */
@media (max-width: 900px) {
        
    .yemek_detay_pop .detay_img{
        width: 270px;
    }

    .yemek_detay_pop .yd_content{
        width: calc(100% - 300px);
        margin-left: 30px;
    }

}



@media (max-width: 640px) {

    .yemek_detay_pop{ padding: 0px; display: inline-block; }
    .yemek_detay_pop .detay_img{ width: 100%; }

    .yemek_detay_pop .detay_img img{
        width: calc(100% + 20px);
        float: left;
        position: relative;
        top: -10px;
        left: -10px;
    }

    .yemek_detay_pop .yd_content{
        width: 100%;
        margin-left: 0px;
    }


}







@media (max-width: 533px) {
    
    .grid {
        gap: 50px;
    }

    .card {
        width: 135px;
    }

    .food-img {
        width: 135px;
        height: 135px;
    }

}